# $Revision: 1.193 $, $Date: 2009/09/07 18:47:13 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
%define		expat_version	1:1.95.5
Summary:	D-BUS message bus
Summary(pl.UTF-8):	Magistrala przesyłania komunikatów D-BUS
Name:		dbus
Version:	1.2.16
Release:	4
License:	AFL v2.1 or GPL v2
Group:		Libraries
Source0:	http://dbus.freedesktop.org/releases/dbus/%{name}-%{version}.tar.gz
# Source0-md5:	c7a47b851ebe02f6726b65b78d1b730b
Source1:	messagebus.init
Source2:	%{name}-daemon-1-profile.d-sh
Source3:	%{name}-sysconfig
Source4:	%{name}-xinitrc.sh
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-no_fatal_checks.patch
Patch3:		%{name}-allow-introspection.patch
URL:		http://www.freedesktop.org/Software/dbus
BuildRequires:	audit-libs-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	expat-devel >= %{expat_version}
BuildRequires:	libcap-devel
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	expat >= %{expat_version}
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(messagebus)
Provides:	user(messagebus)
Obsoletes:	dbus-X11
Obsoletes:	dbus-glib-tools
Conflicts:	pam < 0.99.7.1
# not available for dbus 0.9x yet(?)
#Obsoletes:	dbus-gtk dbus-gcj dbus-gcj-devel dbus-gcj-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

%description -l pl.UTF-8
D-BUS to system przesyłania komunikatów pomiędzy aplikacjami. Jest
używany zarówno jako ogólnosystemowa usługa magistrali komunikatów jak
i możliwość przesyłania komunikatów w ramach jednej sesji użytkownika.

%package dirs
Summary:	D-BUS directories
Summary(pl.UTF-8):	Katalogi D-BUS
Group:		Libraries

%description dirs
D-BUS directories.

%description dirs -l pl.UTF-8
Katalogi D-BUS.

%package libs
Summary:	D-BUS libraries
Summary(pl.UTF-8):	Biblioteki D-BUS
Group:		Libraries

%description libs
D-BUS libraries.

%description libs -l pl.UTF-8
Biblioteki D-BUS.

%package devel
Summary:	Header files for D-BUS
Summary(pl.UTF-8):	Pliki nagłówkowe D-BUS
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for D-BUS.

%description devel -l pl.UTF-8
Pliki nagłówkowe D-BUS.

%package static
Summary:	Static D-BUS libraries
Summary(pl.UTF-8):	Statyczne biblioteki D-BUS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static D-BUS libraries.

%description static -l pl.UTF-8
Statyczne biblioteki D-BUS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-verbose-mode} \
	--disable-asserts \
	--disable-tests \
	--enable-abstract-sockets=auto \
	%{?with_selinux:--enable-selinux} \
	--with-console-auth-dir=%{_localstatedir}/run/console/ \
	--with-session-socket-dir=/tmp \
	--with-system-pid-file=%{_localstatedir}/run/dbus.pid \
	--with-xml=expat
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{profile.d,rc.d/init.d,sysconfig,X11/xinit/xinitrc.d} \
	$RPM_BUILD_ROOT%{_datadir}/dbus-1/{services,interfaces} \
	$RPM_BUILD_ROOT%{_localstatedir}/run/dbus \
	$RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/messagebus
install %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/dbus-daemon-1.sh
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/messagebus
install %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d

# upstart (/sbin/init) requires libdbus so it must be in /lib(64)
mv -f $RPM_BUILD_ROOT%{_libdir}/libdbus-1.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libdbus-1.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libdbus-1.so

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 122 messagebus
%useradd -u 122 -d /usr/share/empty -s /bin/false -c "System message bus" -g 122 messagebus

%post
/sbin/chkconfig --add messagebus
%service messagebus restart "D-Bus daemon"

%preun
if [ "$1" = "0" ];then
	%service messagebus stop
	/sbin/chkconfig --del messagebus
fi

%postun
if [ "$1" = "0" ]; then
	%userremove messagebus
	%groupremove messagebus
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- %{name} < 0.92
%banner %{name} << EOF
WARNING!!!
configuration file /etc/sysconfig/dbus has been moved to /etc/sysconfig/messagebus!
EOF

if [ -f /etc/sysconfig/dbus ]; then
	mv -f /etc/sysconfig/messagebus{,.rpmnew}
	mv -f /etc/sysconfig/{dbus,messagebus}
elif [ -f /etc/sysconfig/dbus.rpmsave ]; then
	mv -f /etc/sysconfig/messagebus{,.rpmnew}
	mv -f /etc/sysconfig/{dbus.rpmsave,messagebus}
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbus-cleanup-sockets
%attr(755,root,root) %{_bindir}/dbus-daemon
%attr(755,root,root) %{_bindir}/dbus-uuidgen
# R: libX11
%attr(755,root,root) %{_bindir}/dbus-launch
%attr(755,root,root) %{_bindir}/dbus-monitor
%attr(755,root,root) %{_bindir}/dbus-send
%attr(4754,root,messagebus) %{_libdir}/dbus-daemon-launch-helper
%dir %{_libdir}/dbus-1
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/interfaces
%dir %{_datadir}/dbus-1/services
%dir %{_datadir}/dbus-1/system-services
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/*.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/messagebus
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) /etc/profile.d/dbus-daemon-1.sh
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/*.sh
%dir %{_localstatedir}/run/dbus
%dir /var/lib/dbus
%{_mandir}/man1/dbus-cleanup-sockets.1*
%{_mandir}/man1/dbus-daemon.1*
%{_mandir}/man1/dbus-uuidgen.1*
%{_mandir}/man1/dbus-launch.1*
%{_mandir}/man1/dbus-monitor.1*
%{_mandir}/man1/dbus-send.1*

%files dirs
%defattr(644,root,root,755)
%dir %{_sysconfdir}/dbus-1
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_sysconfdir}/dbus-1/session.d

%files libs
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/TODO
%attr(755,root,root) /%{_lib}/libdbus-1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libdbus-1.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,txt}
%attr(755,root,root) %{_libdir}/libdbus-1.so
%{_libdir}/libdbus-1.la
%dir %{_libdir}/dbus-1.0
%{_libdir}/dbus-1.0/include
%{_pkgconfigdir}/dbus-1.pc
%{_includedir}/dbus-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libdbus-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dbus.spec,v $
Revision 1.193  2009/09/07 18:47:13  tommat
- rel 4

Revision 1.192  2009/08/18 09:20:56  arekm
- release 3

Revision 1.191  2009/07/26 20:27:24  arekm
- rel 2; enable abstract sockets

Revision 1.190  2009/07/25 21:31:23  arekm
- up to 1.2.16

Revision 1.189  2009/06/18 18:23:47  arekm
- rel 2; patch needed by upstart

Revision 1.188  2009/05/12 17:11:09  megabajt
- updated to 1.2.14 [fixes CVE-2009-1189]

Revision 1.187  2009/01/26 16:04:14  blues
- rel.2 - separate directories to -dirs subpackage. Do not force whole dbus
  instalation by dirs only.

Revision 1.186  2009/01/15 18:35:39  arekm
- up to 1.2.12

Revision 1.185  2009/01/02 15:14:13  gotar
- R: rc-scripts >= 0.4.1.23 due to daemon --pidfile parameter

Revision 1.184  2008/12/26 09:11:50  qboosh
- completed previous changelog entry

Revision 1.183  2008/12/26 09:11:22  qboosh
- updated to 1.2.10
- updated allow-introspection patch

Revision 1.182  2008/12/12 19:52:44  patrys
- 1.2.8

Revision 1.181  2008/12/08 16:44:48  patrys
- added allow-introspection patch to re-enable introspection
- rel 2

Revision 1.180  2008/12/08 00:10:10  patrys
- 1.2.6
- fixes CVE-2008-4311

Revision 1.179  2008/11/20 14:24:35  baggins
- rel 3
- moved libraries to /lib (req. by /sbin/init from upstart)

Revision 1.178  2008/11/12 21:06:05  glen
- rebuild for %groupadd; rel 2

Revision 1.177  2008/10/15 11:19:41  jajcus
- without_selinux bcond added

Revision 1.176  2008/10/15 04:56:45  qboosh
- CVE reference

Revision 1.175  2008/10/14 21:42:47  qboosh
- updated to 1.2.4 [fixes CVE-2008-3834]

Revision 1.174  2008/08/07 12:44:54  paszczus
- updated to 1.2.3; adaptarized

Revision 1.173  2008/06/11 18:49:55  glen
- dbus refuses to start if pidfile already exist; rel 3

Revision 1.172  2008-04-27 00:50:48  glen
- rel 2

Revision 1.171  2008-04-04 20:54:45  arekm
- up to 1.2.1

Revision 1.170  2008-03-01 11:31:26  qboosh
- CVE reference

Revision 1.169  2008-02-27 21:03:52  patrys
- 1.1.20 (stable)
[fixes CVE-2008-0595]

Revision 1.168  2008-01-27 19:21:48  glen
- rel 3

Revision 1.167  2008-01-27 03:26:08  glen
- try loading capability module. #90

Revision 1.166  2008-01-23 10:58:21  cactus
- hint for this version : need kernel module capability staticly linked or loaded into memory

Revision 1.165  2008-01-17 22:40:10  patrys
- 1.1.4
- not stable version (1.1.2)
- critical update (1.1.3 featured OOM machine killer)

Revision 1.164  2008-01-16 07:15:57  arekm
- up to 1.1.3

Revision 1.163  2007-12-19 11:38:53  arekm
- rel 5; add datadir/dbus-1/interfaces dir

Revision 1.162  2007/10/31 18:45:01  qboosh
- release 4

Revision 1.161  2007/10/31 18:44:16  qboosh
- updated nolibs patch not to require libcap-devel
- fixed suid dbus-daemon-launch-helper packaging

Revision 1.160  2007/10/25 22:49:49  baggins
- rel 3
- own %{_datadir}/dbus-1/system-services
- geteuid patch to fix https://bugs.freedesktop.org/show_bug.cgi?id=11876
  symptoms were gdm and pam_ck_connector not being able to open session to
  dbus, thus disallowing mounts of removable media and other fancy at_console
  stuff

Revision 1.159  2007/09/18 16:59:35  baggins
- rel 2
- updated BR and R, added TODO

Revision 1.158  2007/08/28 23:22:34  aredridel
- 1.1.2

Revision 1.157  2007/06/18 16:20:53  megabajt
- dbus 1.1.x is the development series (now is on DEVEL); HEAD is for stable releases (1.0.x, 1.2.x, etc.)

Revision 1.156  2007/06/18 15:17:13  rotom
- up to 1.1.0

Revision 1.155  2007/03/04 19:54:11  arekm
- rel 5; fix useradd in pre

Revision 1.154  2007/03/04 18:33:42  aflinta
 - don't crash on checks (fixes CD behavior with HAL 0.5.8.x)
 - release 4

Revision 1.153  2007/02/18 00:26:05  baggins
- rel 3
- fixed trigger

Revision 1.152  2007/02/16 07:27:10  arekm
- rel 2; paths for new pam

Revision 1.151  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.150  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.149  2006/12/20 23:29:50  qboosh
- updated to 1.0.2 (fixes CVE-2006-6107)

Revision 1.148  2006/11/19 16:00:51  megabajt
- 1.0.1

Revision 1.147  2006/11/12 18:13:02  rotom
- updated to 1.0.0

Revision 1.146  2006/11/04 19:29:51  grzegol
- updated to 0.95
- run dbus-uuidgen --ensure in messagebus.init not in %%post
- added /var/lib/dbus dir

Revision 1.145  2006/10/14 20:49:16  grzegol
- 0.94

Revision 1.144  2006/09/14 09:34:02  arekm
- up to 0.93

Revision 1.143  2006/08/22 15:00:55  glen
- rename sysconfig file unconditionally in trigger

Revision 1.142  2006/08/20 14:01:46  qboosh
- noted dbus* packages not available yet for 0.9x

Revision 1.141  2006/08/19 12:40:49  freetz
- rel.3
  sorry about mess I've made with not updated scripts

Revision 1.140  2006/08/19 08:05:38  pluto
- daemon-1-profile.d.sh fixed (config location issue).
- release 2.

Revision 1.139  2006/08/18 22:21:56  freetz
- 0.92, moved configuration to /etc/sysconfig/messagebus (to make use of
  %service macro), triggerpostun added

Revision 1.138  2006/08/10 14:42:30  qboosh
- reordered preambles

Revision 1.137  2006/08/08 17:03:53  freetz
- minor adjustements

Revision 1.136  2006/08/01 18:57:12  freetz
- 0.91, now without bindings (available as separated tarballs),
  untested for now, due to braindamaged soname/API breakage

Revision 1.135  2006/07/17 16:55:17  freetz
- rel.4

Revision 1.134  2006/07/17 16:47:14  freetz
- fixed R: in dbus-gtk subpkg

Revision 1.133  2006/07/12 20:58:47  freetz
- rel.3, restored xinit part without xinitrc* deps

Revision 1.132  2006/07/11 16:42:19  freetz
- added release to changelog

Revision 1.131  2006/07/11 16:41:20  freetz
- --as-needed support, dropped X11 subpackage (session can be started
  even without questionable deps), rel.2

Revision 1.130  2006/06/12 18:41:09  freetz
- 0.62

Revision 1.129  2006/04/02 09:57:00  qboosh
- dotnet deps fixes (merged from for-AC branch)

Revision 1.128  2006/03/20 20:44:32  freetz
- rel.3 for rebuild with fixed rpm

Revision 1.127  2006/03/19 22:48:46  freetz
- R: python-libxml2 for python subpkg, rel.2

Revision 1.126  2006/03/05 18:04:36  qboosh
- disable qt4 support (broken atm)
- updated nolibs patch to remove unnecessary linking with -lSM
- moved dbus-launch(1) manual to base package (which contains dbus-launch)

Revision 1.125  2006/02/25 09:13:02  freetz
- 0.61, use epoches in version definitions, added separate define for gtk
  requirement

Revision 1.124  2006/02/24 15:24:30  glen
- glib/gtk+/expat epoches

Revision 1.123  2006/02/24 15:20:43  glen
- qt epoch

Revision 1.122  2006/02/24 15:20:04  glen
- use %service

Revision 1.121  2006/02/19 21:10:03  freetz
- rel.4

Revision 1.120  2006/02/19 18:18:14  freetz
- make use of at_console security policy

Revision 1.119  2006/02/12 15:01:10  pluto
- xorg modular BRs, release 3.

Revision 1.118  2006/01/28 09:02:52  freetz
- drop dotnet-gtk-sharp based examples

Revision 1.117  2006/01/26 15:50:27  freetz
- rel.2

Revision 1.116  2006/01/23 21:10:28  qboosh
- added gcj patch (fixes java build), pass GCJFLAGS (=rpmcflags)
- updated DBUS_QT_LIBS->DBUS_QT3_LIBS hack

Revision 1.115  2006/01/20 11:59:33  freetz
- fix dotnet build

Revision 1.114  2006/01/18 18:38:57  freetz
- 0.60, dotnet not tested (we got broken mono stuff), build gcj by default,
  TODO added

Revision 1.113  2005/12/11 22:14:17  adamg
- BR: rpm-pythonprov if --with python

Revision 1.112  2005/12/08 04:26:53  aredridel
- dbus-gtk requires dbus-X11 -- perhaps dependent apps should require this?

Revision 1.111  2005/12/03 16:19:35  qboosh
- release 4

Revision 1.110  2005/12/03 16:19:13  qboosh
- BR: cpp for python

Revision 1.109  2005/12/03 15:41:44  qboosh
- added monodir patch for mono dlls in /usr/lib
- qt libdir fix (needed with multilib)

Revision 1.108  2005/12/01 12:23:44  adgor
- Fixed dotnet bcond

Revision 1.107  2005/11/30 15:50:29  freetz
- looks like including macros can't be conditional

Revision 1.106  2005/11/30 15:46:04  freetz
- exclude i386 from dotnet bindings, removed bogus kdelibs check, rel.3

Revision 1.105  2005/11/10 22:04:35  freetz
- moved dbus-launch to main package

Revision 1.104  2005/10/13 17:58:44  freetz
- use default FHS compilant sockets dir, rel.2

Revision 1.103  2005/09/09 23:07:45  freetz
- cosmetics

Revision 1.102  2005/09/09 23:00:09  freetz
- mono autodeps included

Revision 1.101  2005/09/09 15:33:57  wrobell
- ver. 0.50

Revision 1.100  2005/09/04 13:35:02  arekm
- disable dotnet on sparc/alpha

Revision 1.99  2005/08/30 21:42:44  paladine
- missing \

Revision 1.98  2005/08/30 21:31:10  paladine
- removed duplications
- sorted configure options

Revision 1.97  2005/08/30 20:41:06  arekm
- bumb monodoc br

Revision 1.96  2005/08/30 20:32:27  qboosh
- post-adapter cleanup

Revision 1.95  2005/08/30 19:30:44  arekm
- up to 0.36.2; enabled selinux; introduced X11 subpackage

Revision 1.94  2005/08/27 21:02:32  paladine
- updated to 0.36.1

Revision 1.93  2005/08/24 15:08:15  paladine
- updated to 0.36
- removed python_types patch (already in sources)

Revision 1.92  2005/08/23 14:39:33  paladine
- added missing commit log
- added BR: libselinux-devel

Revision 1.91  2005/08/23 14:35:14  paladine
- added --enable-selinux to configure

Revision 1.90  2005/08/02 16:18:30  jpc
- add a patch fixing the dbus serializer type definitions
  (dbus-python_types.patch)

Revision 1.89  2005/08/02 12:37:33  freetz
- more TODO

Revision 1.88  2005/07/21 21:17:47  freetz
- 0.35.2, dropped already included patches

Revision 1.87  2005/07/10 17:39:26  freetz
- corrected *.py files path

Revision 1.86  2005/07/02 20:49:52  freetz
- merged post 0.34 fixes

Revision 1.85  2005/07/01 11:49:44  jpc
- add python_fixes patch
- rel 0.2

Revision 1.84  2005/06/26 14:51:57  wrobell
- ver. 0.34

Revision 1.83  2005/06/22 17:46:29  qboosh
- this spec has been already adapted for gcc4-style gcj - updated deps (fixes BTS#5664)

Revision 1.82  2005/06/20 21:51:51  patrys
- added missing BR: fastjar

Revision 1.81  2005/05/19 13:55:40  pluto
- merged patches from devel.

Revision 1.80  2005/05/19 13:07:24  pluto
- %%files updated.

Revision 1.79  2005/05/19 12:40:27  pluto
- updated to 0.33 (dotnet stuff not tested).
- release 0.1.

Revision 1.78  2005/05/11 00:46:09  pluto
- next step, relese 4.2, java enabled, rebuild w/o dotnet+qt.

Revision 1.77  2005/05/11 00:03:25  pluto
- release 4.1 for th-bootstrap.

Revision 1.76  2005/05/02 23:13:57  qboosh
- comment for dotnet-gtk-sharp BR

Revision 1.75  2005/05/02 22:58:42  qboosh
- build dbus-sharp on alpha,amd64; release 4

Revision 1.74  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.73  2005/04/26 10:31:10  pzurowski
- reverting (moving to DEVEL)

Revision 1.71  2005/04/23 21:38:27  arekm
- disable mono bindings on amd64 due to mcs segfaults

Revision 1.70  2005/04/23 20:50:10  arekm
- rel 2

Revision 1.69  2005/03/26 00:10:55  troll
- -p1 for %patch2

Revision 1.68  2005/03/25 06:39:22  wrobell
- missing directory added

Revision 1.67  2005/03/24 23:03:55  wrobell
- ver. 0.23.4

Revision 1.66  2005/03/24 22:43:29  wrobell
- back to 0.23 (0.31 should be on DEVEL, now)

Revision 1.65  2005/03/24 21:44:11  wrobell
- /usr/lib/monodoc/sources belongs to dotnet-dbus-sharp-devel

Revision 1.64  2005/03/24 20:39:56  wrobell
- ver. 0.31 (dbus-binding-tool should be in devel package?)

Revision 1.63  2005/03/18 19:29:22  qboosh
- -libs are sufficient for -qt; release 4

Revision 1.62  2005/02/10 21:47:32  qboosh
- release 3 to rebuild dotnet- with proper gacdir on amd64

Revision 1.61  2005/02/10 18:51:43  qboosh
- BR: xmlto (for html docs); release 2

Revision 1.60  2005/01/13 09:33:04  krzak
- up to 0.23
- monodoc-destdir.patch already in sources
- hello.patch already in sources
- update URL
- %{?debug:--enable-verbose-mode}
- --enable-abstract-sockets
- socket in %{_localstatedir}/lib/dbus-1

Revision 1.59  2004/12/27 10:38:20  qboosh
- python- and -gtk need -glib; fixed broken -glib-devel dep; release 14

Revision 1.58  2004/12/25 17:40:50  qboosh
- unified

Revision 1.57  2004/12/23 22:03:00  saq
- release 13 for rebuild with python 2.4

Revision 1.56  2004/12/14 12:44:41  krzak
- %{_datadir}/dbus-1/services

Revision 1.55  2004/12/14 08:50:49  krzak
- rel. 12
- added dbus-sysconfig ,dbus-xinitrc.sh (start session daemon while X running,
  depend on /etc/sysconfig/dbus settings
- daemon-1-profile.d-sh check settings in /etc/sysconfig/dbus
- Requires: xinitrc

Revision 1.54  2004/11/14 21:31:42  havner
- rel up for rebuild

Revision 1.53  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.52  2004/11/08 19:11:26  jpc
- %pyrequires_eq for python-dbus

Revision 1.51  2004/10/29 08:28:39  krzak
- rel 10 of course.... mistake

Revision 1.50  2004/10/29 08:11:56  krzak
- --with-system-socket=%{_localstatedir}/lib/dbus-1.0/system_bus_socket
- BR: doxygen

Revision 1.49  2004/10/28 08:20:16  qboosh
- python- R: -libs not base, really release 10

Revision 1.48  2004/10/28 07:46:18  krzak
- --enable-verbose-mode verbose only if DBUS_VERBOSE=1 is set
- rel. 10

Revision 1.47  2004/10/27 10:35:50  krzak
- hello.patch - correctly handle Hello messages after the first one
- %{_libdir}/dbus-1.0/services -> %{_datadir}/dbus-1.0/services

Revision 1.46  2004/10/27 08:58:57  krzak
- --with-system-pid-file=/var/run/dbus.pid

Revision 1.45  2004/10/27 08:17:42  krzak
- added config.patch set configuration for session bus

Revision 1.44  2004/10/26 07:38:17  krzak
- --with-session-socket-dir=/tmp
- rel. 9

Revision 1.43  2004/10/25 21:33:53  krzak
- Source2: dbus-daemon-1-profile.d-sh
  install to /etc/profile.d/dbus-daemon-1.sh and start
  dbus-daemon-1 --session while login

Revision 1.42  2004/10/25 13:23:07  krzak
- %{_libdir}/dbus-1.0/services for --session mode

Revision 1.41  2004/10/25 11:44:35  krzak
- rel 8

Revision 1.40  2004/10/25 11:43:56  krzak
- %{?with_dotnet:BuildRequires:   dotnet-gtk-sharp-devel}

Revision 1.39  2004/10/22 18:16:46  krzak
- glib headers moved to dbus-glib-devel
- rel 7

Revision 1.38  2004/10/17 13:07:26  qboosh
- fixed last commit message after hungry mc

Revision 1.37  2004/10/17 13:06:46  qboosh
- %{_libdir}/dbus-* dir moved to -libs

Revision 1.36  2004/10/17 12:28:50  qboosh
- dbus-glib-tool moved to -glib-devel (it's devel utility)
  now -glib-devel doesn't require -glib-tools (and thus base
  as dbus-monitor from -glib-tools requires base)

Revision 1.35  2004/10/17 12:14:47  qboosh
- -devel R: -libs not base; moved base docs to -libs

Revision 1.34  2004/10/17 11:23:33  qboosh
- fixed gcj bcond desc

Revision 1.33  2004/10/16 20:40:35  ankry
- %userremove/%groupremove support, some unification

Revision 1.32  2004/09/28 08:18:32  aflinta
- split dbus-glib into dbus-glib and dbus-glib-tools
- release 6
- build only when previous dbus is removed (broken rpm dependency generator)

Revision 1.31  2004/09/27 21:02:24  aflinta
- release 5

Revision 1.30  2004/09/27 20:55:21  radek
- fixed: *.so.*->libs, *.so->devel

Revision 1.29  2004/09/27 19:35:16  aflinta
- finished, release 4

Revision 1.28  2004/09/27 16:45:50  aflinta
- try to separate libs into subpackage

Revision 1.27  2004/08/13 13:37:50  grzegol
- fixed License (AFL v2.1 or GPL v2)

Revision 1.26  2004/08/13 13:20:47  krzak
- rel 3 to rebuild on all arch.

Revision 1.25  2004/08/13 11:33:04  krzak
- missing  %{_libdir}/mono/dbus-sharp directory
- mint.patch - allow to build mono binding with mint
- rel 2

Revision 1.24  2004/08/13 11:27:39  qboosh
- cosmetics

Revision 1.23  2004/08/13 11:26:00  qboosh
- no dotnet on alpha

Revision 1.22  2004/08/13 10:11:35  krzak
- up to 0.22
- bcond: dotnet
- added dotnet-dbus-sharp{-devel} packages
- monodoc-destdir.patch (fix directory for monodoc files)
- maybe TODO: SELinux support
- explicit --with-xml=expat

Revision 1.21  2004/08/01 20:50:08  qboosh
- release 2

Revision 1.20  2004/08/01 20:29:25  qboosh
- python- BR: python-Pyrex 0.9.3 (older couldn't handle "long unsigned int")

Revision 1.19  2004/08/01 19:14:15  qboosh
- -static R: -devel
- disable gcj for now - doesn't build (using gcj 3.3.4)

Revision 1.18  2004/08/01 10:02:11  krzak
- dbus-glib-1.pc moved do glib-devel package

Revision 1.17  2004/03/26 15:12:15  grzegol
- updated to 0.21
- removed outdated python-signals-dze patch
- BR: python-Pyrex >= 0.9-2

Revision 1.16  2004/03/21 22:23:10  grzegol
- added python-signals-dze patch
- strict internal deps
- rel. 3

Revision 1.15  2004/03/13 04:49:05  witekfl
- BR: gcc-java-tools (jar)

Revision 1.14  2004/02/06 22:25:01  qboosh
- typo

Revision 1.13  2004/02/06 22:18:42  qboosh
- resolved uid conflict, added messagebus group, unified useradd/groupadd

Revision 1.12  2004/01/31 20:42:03  grzegol
- added gcj and python subpackages

Revision 1.11  2004/01/31 19:12:41  grzegol
- added init script
- add/remove messagebus user
- rel. 2

Revision 1.10  2004/01/30 19:20:29  eothane
- new bcond style

Revision 1.9  2003/11/27 10:19:07  qboosh
- updated to 0.20, new-style bconds, separated -gtk

Revision 1.8  2003/10/02 19:09:04  grzegol
- updated to 0.13

Revision 1.7  2003/08/28 09:26:38  qboosh
- separated -devel packages, fixed bconds

Revision 1.6  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.5  2003/08/03 14:16:13  grzegol
- added _without_glib and _without_qt bconds
- added glib-static and qt-static subpackages
- more docs
- removed old changelog
- rel. 2

Revision 1.4  2003/06/28 20:28:57  qboosh
- pl, some cleanups

Revision 1.3  2003/06/16 20:02:54  blues
- fixes in macros

Revision 1.2  2003/06/11 15:41:38  wiget
- md5 added

Revision 1.1  2003/06/11 15:32:34  wiget
- first try to package DBUS
